extra_packages:
  - '@Development Tools'
  - '@^Server with GUI'
  - '@^GNOME Desktop'
  - '@^KDE Plasma Workspaces'
  - lzip
  - screen
  - mailx
  - subversion
  - mlocate
  - finger
  - python-devel
  - python-pip
  - python-wheel
  - openldap-devel
  - lapack
  - blas
  - gcc-c++
  - psmisc
  - iotop
  #- @X Window System
  - libX11-devel
  - moreutils
  - traceroute
  - tmux
  - git
  - subversion
  - numactl
  - numactl-libs
  - numactl-devel
  #stuff for relion
  - vim
  - gedit
  - m4
  - flex
  - flex-devel
  - bison
  - bison-devel
  - zlib
  - autogen
  - rsync
  - tcl-devel.x86_64
  - tclx-devel.x86_64
  - glibc-devel.i686
  - zlib-devel
  - pam-devel
  - tk-devel
  - texinfo
  #- cpufrequtils-devel.x86_64
  #- cpufrequtils.x86_64
  - openssl
  - openssl-devel
  - gstreamer-devel.x86_64
  - gstreamer-plugins-base-devel.x86_64
  - libcurl-devel
  - libXmu-devel.x86_64 # for matlab GUI
  - xauth
  - gtk+-devel 
  - gtk2-devel
  - libidn-devel.x86_64
  - libacl-devel.x86_64
  - ncurses-devel.x86_64
  - nasm.x86_64
  - glibmm24-devel
  - gtkmm24-devel
  - gtkglext-devel
  - gsl-devel
  - mesa-libGL-devel
  - mesa-libGLU-devel
  - libpng
  - texlive 
  - libjpeg-turbo-devel
  - libjpeg-turbo
  - libjpeg-turbo-utils
  - libtiff
  - libtiff-devel
  - libtiff-tools
  - levien-inconsolata-fonts.noarch
  - java-1.7.0-openjdk
  - java-1.7.0-openjdk-devel
  - java-1.7.0-openjdk-javadoc
  - java-1.8.0-openjdk
  - java-1.8.0-openjdk-devel
  - java-1.8.0-openjdk-javadoc
  # stuff because bioinformatics need it for ubuntu
  - ruby
  - java-1.7.0-openjdk
  - mysql-devel
  - iptraf #for ip traffic monitoring
  #- '"@GNOME Desktop"'
  # lua stuff for lmod
  - lua
  - lua-filesystem
  - lua-posix
  - tcl
  - rsync
  - gcc
  - lua-devel
  # for physics c/o mark flegg
  - cmake
  - vtk-devel
  - boost
  - boost-devel
  #- netcdf-devel
  #- netcdf-cxx
  - jsoncpp-devel.x86_64
  - numpy
  - vtk-python
  - python-matplotlib
  # jagmohan
  - blas-static
  - lapack-static
  # James Venning (Water Channel)
  - fftw-libs-single-3.3.3-8.el7
  - fftw-libs-double-3.3.3-8.el7
  - fftw-libs-long-3.3.3-8.el7
  - fftw-libs-3.3.3-8.el7
  - fftw2-2.1.5-26.el7
  - fftw2-devel-2.1.5-26.el7
  # ftp needed
  - ftp
  # gpm-libs for midnight commander
  - gpm-libs
  # jna for netcdf
  - jna
  - jna-javadoc
  - jna-contrib
  #underworld
  - gl2ps
  - gl2ps-devel
  - SDL
  - SDL-devel
  - freeglut
  - freeglut-devel
  # 
  - qt-devel
  # perf for Ehsan performance
  - perf
  - xorg-x11-server-Xvfb
  # user request. login node only?
  - nedit
  #namd 2.9 needs 32 bit libraries
  - libstdc++.i686
  # eigen for yade
  - eigen3-devel
  - eigen3-doc.noarch
  - sqlite
  - vtk
  - vtk-devel
  - suitesparse
  - suitesparse-devel
  - mpfr
  - mpfr-devel
  - metis
  - metis-devel
  - metis64
  - metis64-devel
  - openblas
  - openblas-devel
  # for octopus
  - libxc
  - libxc-devel
  # for atop
  - atop
  # for Andreas Ernst 
  - emacs
  - zsh
  # RT  #9173
  - gnuplot
  # for linuxbrew
  - perl-CPAN


         

